#include <termios.h>

#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif

#define PORT_BASE 5198


struct termio term_params, old_term_params;

void raw_tty(int flag){

  if(flag){
  ioctl(fileno(stdin), TCGETA, &old_term_params);
  term_params = old_term_params;
  term_params.c_iflag &= ~(ICRNL|IXON|IXOFF);  /* no cr translation */
  term_params.c_iflag &= ~(ISTRIP);   /* no stripping of high order bit */
  term_params.c_oflag &= ~(OPOST);    /* no output processing */       
  term_params.c_lflag &= ~(ISIG|ICANON|ECHO); /* raw mode */
  term_params.c_cc[VMIN] = 0;  /* satisfy read after 1 char */
  term_params.c_cc[VTIME] = 0;  /* satisfy read after 1 char */
  ioctl(fileno(stdin), TCSETAF, &term_params);
  } else{
  ioctl(fileno(stdin), TCSETAF, &old_term_params);
  }
}


struct gsmVoice_t {
  unsigned char version;
  unsigned char pt;
  unsigned short seqNum;
  unsigned long time;
  unsigned long ssrc;
  unsigned char data[33*4];
};



